aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2014-06-11 11:32:54 +1200
committerTom Ryder <tom@sanctum.geek.nz>2014-06-11 11:45:58 +1200
commit6d8384735c2f38734828774f1b4cfb2681e67d68 (patch)
tree42d63a6b34d676e86cd2136758acee68c575461b
parentHTTPS version of site (diff)
downloadnwatch-6d8384735c2f38734828774f1b4cfb2681e67d68.tar.gz
nwatch-6d8384735c2f38734828774f1b4cfb2681e67d68.zip
Add version detection
-rwxr-xr-xbin/nwatch2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/nwatch b/bin/nwatch
index d316165..9eb0f40 100755
--- a/bin/nwatch
+++ b/bin/nwatch
@@ -47,7 +47,7 @@ cache=$cachedir/${self}.scan.${date}
diff=$cachedir/${self}.diff.${date}
# Run the scan or give up
-if ! nmap -T4 -v -iL "$hostlist" -oA "$cache" >/dev/null ; then
+if ! nmap -v -T4 -sV -iL "$hostlist" -oA "$cache" >/dev/null ; then
exit
fi